Inicio cHill.Room Como solucionar Error 500 al actualizar Jomsocial 2.2.x

Como solucionar Error 500 al actualizar Jomsocial 2.2.x

He tenido problemas al actualizar a jomsocial 2.2.4 pero gracias a dios no fue problema mio, sino del propio jomsocial. Para corregirlo de manera 'temporal' debemos hacer lo que indico a continuación.

500 ***** /components/com_community/events/wall.trigger.php:26

Error 500 actualizar Jomsocial 2.2.x

Mi Jomsocial funcionaba perfectamente hasta que al actualizar me sale ese error. De momento no hay solución oficial por parte de Jomsocial pero navegando un poco he encontrado con una forma rápida y fácil de solucionar a esperas de que Jomsocial investigue un poco más y saque un nuevo parche para solventarlo.

Vamos a: /components/com_community/events/

Buscamos el archivo que genera el fallo: wall.trigger.php.

En la línea 26 debemos buscar el siguiente código:

CError::assert( $row->comment, '', '!empty', __FILE__ , __LINE__ );

Ahora escribimos dos barras diagonales para comentarlo y que no se ejecute:

// CError::assert( $row->comment, '', '!empty', __FILE__ , __LINE__ );

Que sepáis que esta solución es momentanea para saltaros ese fallo, debéis visitar la página web de Jomsocial para ver si ya sacaron un parche o publicaron la solución.

Un saludo!